Page MenuHomePhabricator

Improve how cross-wiki upload dialog deals with uploads blocked by AbuseFilter
Closed, ResolvedPublic

Description

We should test and improve how cross-wiki upload dialog deals with uploads blocked by AbuseFilter (inspired by https://commons.wikimedia.org/wiki/Commons:Administrators'_noticeboard#AbuseFilter_for_cross-wiki_uploads). We don't have any special handling, so it probably just displays some confusing obscure error message, like UploadWizard (T132866).

Event Timeline

matmarex created this task.Jun 14 2016, 7:16 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptJun 14 2016, 7:16 PM
Restricted Application added subscribers: Zppix, Poyekhali, Steinsplitter, Aklapper. · View Herald Transcript
matmarex triaged this task as High priority.Jun 14 2016, 7:23 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 14 2016, 7:23 PM

For the "test" part: this indeed suffers from the same problem as UW.

matmarex renamed this task from Test and improve how cross-wiki upload dialog deals with uploads blocked by AbuseFilter to Improve how cross-wiki upload dialog deals with uploads blocked by AbuseFilter.Jun 16 2016, 1:29 PM
Gunnex added a subscriber: Gunnex.Jun 21 2016, 8:58 AM

Change 295610 had a related patch set uploaded (by Bartosz Dziewoński):
mw.Upload.BookletLayout: Better handle error messages from AbuseFilter and TitleBlacklist

https://gerrit.wikimedia.org/r/295610

Change 296362 had a related patch set uploaded (by Bartosz Dziewoński):
mw.Upload.BookletLayout: Pass parameters to custom error messages

https://gerrit.wikimedia.org/r/296362

Change 296362 abandoned by Bartosz Dziewoński:
mw.Upload.BookletLayout: Pass parameters to custom error messages

Reason:
Squashed into https://gerrit.wikimedia.org/r/295610

https://gerrit.wikimedia.org/r/296362

Change 295610 merged by jenkins-bot:
mw.Upload.BookletLayout: Better handle error messages from AbuseFilter and TitleBlacklist

https://gerrit.wikimedia.org/r/295610

matmarex closed this task as Resolved.Jul 12 2016, 2:39 PM
matmarex removed a project: Patch-For-Review.